<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.util (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.util (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/helpers/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/cellwalk/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.ss.util</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                            title="class in org.apache.poi.ss.util">AreaReference</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                            title="class in org.apache.poi.ss.util">CellAddress</a></td>
                    <td class="colLast">
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                            title="class in org.apache.poi.ss.util">CellRangeAddress</a></td>
                    <td class="colLast">
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                            title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></td>
                    <td class="colLast">
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                            title="class in org.apache.poi.ss.util">CellRangeAddressList</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the cell range address lists,like is described
                            in OpenOffice.org's Excel Documentation: excelfileformat.pdf sec 2.5.14 -
                            'Cell Range Address List'

                            In BIFF8 there is a common way to store absolute cell range address lists in
                            several records (not formulas).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellRangeUtil.html"
                                            title="class in org.apache.poi.ss.util">CellRangeUtil</a></td>
                    <td class="colLast">
                        <div class="block">Utility class that builds on <a
                                href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                title="class in org.apache.poi.ss.util"><code>CellRangeAddress</code></a>

                            Portions of this class may be moved to <a
                                    href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util"><code>CellRangeAddressBase</code></a></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                            title="class in org.apache.poi.ss.util">CellReference</a></td>
                    <td class="colLast">
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellUtil.html"
                                            title="class in org.apache.poi.ss.util">CellUtil</a></td>
                    <td class="colLast">
                        <div class="block">Various utility functions that make working with a cells and rows easier.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/DateFormatConverter.html"
                                            title="class in org.apache.poi.ss.util">DateFormatConverter</a></td>
                    <td class="colLast">
                        <div class="block">Convert java DateFormat patterns into Excel custom number formats.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/util/DateFormatConverter.DateFormatTokenizer.html"
                            title="class in org.apache.poi.ss.util">DateFormatConverter.DateFormatTokenizer</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/ImageUtils.html"
                                            title="class in org.apache.poi.ss.util">ImageUtils</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/NumberComparer.html"
                                            title="class in org.apache.poi.ss.util">NumberComparer</a></td>
                    <td class="colLast">
                        <div class="block">Excel compares numbers using different rules to those of java, so
                            <code>Double.compare(double, double)</code> won't do.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/NumberToTextConverter.html"
                                            title="class in org.apache.poi.ss.util">NumberToTextConverter</a></td>
                    <td class="colLast">
                        <div class="block">Excel converts numbers to text with different rules to those of java, so
                            <code>Double.toString(value)</tt> won't do.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/PaneInformation.html"
                                            title="class in org.apache.poi.ss.util">PaneInformation</a></td>
                    <td class="colLast">
                        <div class="block">Holds information regarding a split plane or freeze plane for a sheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
                                            title="class in org.apache.poi.ss.util">PropertyTemplate</a></td>
                    <td class="colLast">
                        <div class="block">
                            A <a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
                                 title="class in org.apache.poi.ss.util"><code>PropertyTemplate</code></a> is a template
                            that can be applied to any sheet in
                            a project.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/RegionUtil.html"
                                            title="class in org.apache.poi.ss.util">RegionUtil</a></td>
                    <td class="colLast">
                        <div class="block">Various utility functions that make working with a region of cells easier.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/SheetBuilder.html"
                                            title="class in org.apache.poi.ss.util">SheetBuilder</a></td>
                    <td class="colLast">
                        <div class="block">Class <code>SheetBuilder</code> provides an easy way of building workbook
                            sheets
                            from 2D array of Objects.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/SheetUtil.html"
                                            title="class in org.apache.poi.ss.util">SheetUtil</a></td>
                    <td class="colLast">
                        <div class="block">Helper methods for when working with Usermodel sheets</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/SSCellRange.html"
                                            title="class in org.apache.poi.ss.util">SSCellRange</a>&lt;K extends <a
                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                            title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">For POI internal use only</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/WorkbookUtil.html"
                                            title="class in org.apache.poi.ss.util">WorkbookUtil</a></td>
                    <td class="colLast">
                        <div class="block">Helper methods for when working with Usermodel Workbooks</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
                            title="enum in org.apache.poi.ss.util">CellRangeAddressBase.CellPosition</a></td>
                    <td class="colLast">
                        <div class="block">Indicates a cell or range is in the given relative position in a range.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/util/CellReference.NameType.html"
                                            title="enum in org.apache.poi.ss.util">CellReference.NameType</a></td>
                    <td class="colLast">
                        <div class="block">Used to classify identifiers found in formulas as cell references or not.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/helpers/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/cellwalk/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
